{
  pkgs,
  ...
}:
{
  imports = [
    ./disko-config.nix
    ./hardware-configuration.nix
  ];

  custom.desktop.enable = true;

  services = {
    desktopManager.plasma6.enable = true;
    printing = {
      enable = true;
      drivers = with pkgs; [ hplipWithPlugin ];
    };
  };

  home-manager.users.flygrounder = {
    custom = {
      catppuccin.enable = true;
      cli.enable = true;
      gui.enable = true;
      hyprland.enable = true;
      neovim.enable = true;
      waybar.enable = true;
    };
    wayland.windowManager.hyprland.settings = {
      monitor = [
        "DP-1, 2560x1440@180.00Hz, 0x0, 1"
      ];
      exec-once = [
        "${pkgs.kdePackages.kwallet-pam}/libexec/pam_kwallet_init"
      ];
    };
  };

  users.users = {
    dmitry = {
      isNormalUser = true;
      description = "Дмитрий";
      extraGroups = [ "networkmanager" ];
      packages = with pkgs; [
        brave
        blender
        libreoffice
      ];
    };
  };

  security.pam.services = {
    greetd.kwallet = {
      enable = true;
      package = pkgs.kdePackages.kwallet-pam;
      forceRun = true;
    };
  };
}
